Bug 471407 - virt-manager segfault on specifying iso file during vm creation
virt-manager segfault on specifying iso file during vm creation
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-13 10:08 EST by Deependra Singh Shekhawat
Modified: 2008-12-01 08:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-01 08:34:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deependra Singh Shekhawat 2008-11-13 10:08:13 EST
Description of problem:
Hi, virt-manager in fedora 9 segfaults when a iso file is specified as installation media during vm creation wizard.


Version-Release number of selected component (if applicable):
virt-manager-0.5.4-5.fc9.i386
glibc-2.8-8.i686
libvirt-0.4.6-2.fc9.i386
kernel-2.6.27.5-32.fc9.i686
kvm-72-3ovirt4.fc9.i386

How reproducible:
Start virt-manager with kvm-intel loaded and libvirtd running. Create a virtual machine with hardware virtualization and hypervisor as kvm. Then specify ISO installation media (radio button). Select Linux and Redhat Enterprise Linux 5. Next step in the wizard ask you to tell the path to the ISO file. Select Browse.

It segfaults with the below error message:-

(virt-manager.py:9521): GLib-GIO-CRITICAL **: g_simple_async_result_set_from_error: assertion `error != NULL' failed
sys:1: Warning: g_error_free: assertion `error != NULL' failed

(virt-manager.py:9521): GLib-GIO-CRITICAL **: g_simple_async_result_set_from_error: assertion `error != NULL' failed

(virt-manager.py:9521): GLib-GIO-WARNING **: (gfile.c:5249):IA__g_file_load_partial_contents_finish: runtime check failed: (g_simple_async_result_get_source_tag (simple) == g_file_load_contents_async)
Segmentation fault


Any more info if needed can be provided. This is latest updated fedora 9 machine.

Thanks
Comment 1 Cole Robinson 2008-11-26 11:04:33 EST
Hmm, are you still seeing this issue? My guess is, it isn't virt-manager specific.

If you are still seeing this, can you try the following from the command prompt

ulimit -c unlimited
virt-manager
<do whatever it takes to segfault>
gdb -c core.xxx
at the gdb prompt, type 'bt' and paste the output

And also attach the ~/.virt-manager/virt-manager.log

Thanks!
Comment 2 Deependra Singh Shekhawat 2008-11-30 21:06:49 EST
Hi,

Sorry for a late reply but I should say that I am not anymore encountering this issue. So closing this bug is appropriate I suppose.

Thanks.
Comment 3 Cole Robinson 2008-12-01 08:34:53 EST
Okay, it was probably an issue in some other piece of the stack. Closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.